Please unblock stuck global rename Samtar → There'sNoTime
Closed, ResolvedPublic

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

https://logstash-beta.wmflabs.org/app/kibana#/doc/logstash-*/logstash-2018.04.18/mediawiki?id=AWLZN0YOf_wiEkeAjVfH

[9a5e71edaef5850eecbeff76] /rpc/RunJobs.php?wiki=enwiki&type=enqueue&maxtime=60&maxmem=300M   ErrorException from line 238 of /srv/mediawiki/php-master/includes/libs/redis/RedisConnectionPool.php: PHP Warning: Failed connecting to redis server at unix:///var/run/nutcracker/redis_eqiad.sock: No such file or directory

#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 [internal function]: Redis->doConnect(string, integer, integer, string, integer, boolean)
#2 /srv/mediawiki/php-master/includes/libs/redis/RedisConnectionPool.php(238): Redis->connect(string, integer, integer)
#3 /srv/mediawiki/php-master/includes/libs/objectcache/RedisBagOStuff.php(357): RedisConnectionPool->getConnection(string, Monolog\Logger)
#4 /srv/mediawiki/php-master/includes/libs/objectcache/RedisBagOStuff.php(94): RedisBagOStuff->getConnection(string)
#5 /srv/mediawiki/php-master/includes/libs/objectcache/CachedBagOStuff.php(56): RedisBagOStuff->doGet(string, integer)
#6 /srv/mediawiki/php-master/includes/libs/objectcache/BagOStuff.php(185): CachedBagOStuff->doGet(string, integer)
#7 /srv/mediawiki/php-master/includes/session/SessionManager.php(939): BagOStuff->get(string)
#8 /srv/mediawiki/php-master/includes/session/SessionInfo.php(150): MediaWiki\Session\SessionManager->generateSessionId()
#9 /srv/mediawiki/php-master/includes/session/SessionProvider.php(176): MediaWiki\Session\SessionInfo->__construct(integer, array)
#10 /srv/mediawiki/php-master/includes/session/SessionManager.php(270): MediaWiki\Session\SessionProvider->newSessionInfo(NULL)
#11 /srv/mediawiki/php-master/includes/session/SessionManager.php(244): MediaWiki\Session\SessionManager->getEmptySessionInternal(WebRequest)
#12 /srv/mediawiki/php-master/includes/session/SessionManager.php(194): MediaWiki\Session\SessionManager->getEmptySession(WebRequest)
#13 /srv/mediawiki/php-master/includes/WebRequest.php(736): MediaWiki\Session\SessionManager->getSessionForRequest(WebRequest)
#14 /srv/mediawiki/php-master/includes/session/SessionManager.php(130): WebRequest->getSession()
#15 /srv/mediawiki/php-master/includes/Setup.php(847): MediaWiki\Session\SessionManager::getGlobalSession()
#16 /srv/mediawiki/php-master/includes/WebStart.php(81): include(string)
#17 /srv/mediawiki/rpc/RunJobs.php(31): include(string)
#18 {main}

Mentioned in SAL (#wikimedia-releng) [2018-04-19T08:19:41Z] <eddiegp> eddie@deployment-tin:~$ for wiki in deploymentwiki enwiki enwikinews loginwiki metawiki simplewiki; do mwscript extensions/CentralAuth/maintenance/fixStuckGlobalRename.php --wiki=$wiki --logwiki=loginwiki 'Samtar' "There'sNoTime"; done T192476

EddieGP closed this task as Resolved.Apr 19 2018, 8:20 AM
EddieGP claimed this task.

I don't think it matters much because it's beta, but the script as run above is wrong IMHO, as per the wikitech stuck global rename guidelines it should have been

mwscript extensions/CentralAuth/maintenance/fixStuckGlobalRename.php --wiki=enwiki [the wiki in which the rename was first stuck] --logwiki=deploymentwiki [the wiki in which the global rename was done] 'Samtar' 'There'sNoTime'

This caused the system not recognizing who/where the rename was performed and thus the Global rename script had to appear to do it.

Again, I don't think it matters much. Of course I may be wrong and doing it this was was needed?

In any case, thanks for having a look at this and resolving this and the parent issue.

Best regards.

I didn't run that very command above. Actually I've been doing this for deploymentwiki first - Special:GlobalRenameProgress then said deploymentwiki was "Done" and everything else was "Queued". Then I did the same on enwiki, and it still only moved enwiki to "Done" and left everything else at "Queued". That was the point where I run it for the rest of the wikis in the for-loop.

You're probably right about the --logwiki part. I've copied that from T192471#4140259 without further check, sorry.

MarcoAurelio moved this task from Backlog to Closed on the GlobalRename board.Sep 1 2018, 12:15 PM